Password Safe Introduction

 Password Safe

Combien de mots de passe et d'utilisateurs devez-vous vous rappeler ? Il y a de fortes chances que la réponse soit "beaucoup." Cela était déjà assez difficile quand vous aviez seulement besoin d'un mot de passe pour accéder à votre compte réseau ou Unix; maintenant beaucoup de sites Internet requièrent un mot de passe également. La plupart des personnes utilisent alors une liste écrite de mots de passe (peu sûr) ou utilisent toujours le même mot de passe sur de nombreux systèmes (très peu sûr). Maintenant, avec Password Safe, vous pouvez garder une liste principale de mots de passe solidement cryptée sur votre ordinateur. Une combinaison simple les ouvre tous.

Password Safe protège vos mots de passe avec l'algorithme Blowfish de Bruce Schneier, une alternative rapide et libre à DES et IDEA. Les détails sur l'algorithme Blowfish, y compris des comparaisons de vitesse et une liste étendue de produits qui emploient Blowfish, sont disponibles sur http://www.schneier.com/blowfish.html

Password Safe vous permet d'avoir plusieurs bases de données de mots de passe. Par exemple, vous pouvez stocker vos mots de passe Internet dans une, vos mots de passe de compte Unix dans une autres, etc... N'oubliez pas de sauvegarder vos diverses bases de données souvent. Si vous souhaitez avoir seulement une base de données, aucun problème. Password Safe prendra soin de tout le détail pour vous et vous n'aurez plus à vous tracasser de la gestion des fichiers.

Commencer

Vous pouvez commencer à protéger vos mots de passe en trois étapes simples.

1. Créer une combinaison pour votre coffre-fort :

Lors de la première utilisation Password Safe vous demandera de créer une combinaison. La combinaison est comme un mot de passe; elle peut inclure des lettres, de la ponctuation ainsi que des chiffres. Votre combinaison protège tout votre coffre-fort de mots de passe, aussi n'utilisez pas comme combinaison quelque chose de facile à deviner -- particulièrement si quelqu'un d'autre pourrait obtenir l'accès à votre ordinateur. Les combinaisons sont sensibles à la différence entre majuscules et minuscules; bonjour est différent de BONJOUR.

Lorsque vous avez choisi votre combinaison, tapez la dans la boite de dialogue intitulée Safe Combination, et ressaisissez la dans la boite nommée Verify. Puis cliquez sur OK. Le boutton OK ne sera actif que si la combinaison a été saisie de façon identique les deux fois.

Lorsque vous démarrez Password Safe, il ouvrira (à condition de saisir la bonne combinaison bien sur !) la dernière base de données utilisée. Si cette dernière ne peut être localisée, vous pourrez en rechercher une autre ou en créer une vide.

2. Saisir les mots de passe :

Après avoir créer votre combinaison, vous pouvez commencer à saisir vos mots de passe. Sélectionner simplement le menu intitulé Add Entry ou cliquez sur le bouton équivalent dans la barre d'outil. Entrez le nom du service associé à ce mot de passe, le nom d'utilisateur, et enfin le mot de passe. Vous pouvez définir un utilisateur par défaut dans le menu Options.

Vous pouvez utiliser le champ Notes pour saisir tout autre information utile au sujet de ce service -- numéros de téléphone, adresse URLs, etc.

3. Récupérer les mots de passe :

Pour copier un mot de passe vers le presse-papier de Windows, double-cliquez simplement sur son titre. Vous pouvez également sélectionner le titre et choisir le menu Copy Password to Clipboard. Vous pouvez alors coller le mot de passe dans toute application ou fenêtre (Si l'application ne fournit pas de commande Coller, vous pouvez cependant toujours coller le mot de passe en pressant Control-V ou Shift-Insert.)

Par défaut, le Presse Papier sera effacé lorsque vous quittez Password Safe.


Password Safe Overview

La fenêtre principale de Password Safe

La fenêtre principale contient la barre de menus, la barre d'outils, et les enregistrements de la base ouverte.

La barre de Menus

La barre de menu contient les menus suivants (lorsqu'un raccourci clavier existe, il est mentionné à côté du menu [comme ceci] :

File (Fichiers)

Pour lire ou écrire une base de données PasswordSafe. Vous pouvez créer une nouvelle base de données, en ouvrir une, sauver la base ouverte, avec son nom actuel ou un autre nom, exporter la basse de données, soit avec l'ancien format de la version 1.7 ou sous forme de fichier texte lisible par un éditeur de texte ou un tableur.

New Database (Nouvelle Base de données) [Ctrl+N]

Créer une nouvelle base de données. Vous devrez entrer une combinaison pour cette base, après quoi une nouvelle base sans nom sera créée.

Open Database (Ouvrir Base de données) [Ctrl+O]

Sélectionner ce menu pour ouvrir une autre base de données. Le programme vous demandera de sauvegarder la base actuellement ouverte si nécessaire/si vous le désirez. Vous pouvez visualiser le nom de la base actuellement ouverte en haut de la fenêtre principale.

Save (Sauver) [Ctrl+S]

Sélectionner ce menu pour sauver la Base de données de mots de passe.

Save As (Sauvegarder sous)

Sélectionner ce menu pour sauvegarder la base en cours sous un autre nom. La version sous l'ancien nom existera toujours (sans les changements les plus récents).

Edit (Editer)

Pour ajouter ou supprimer un enregistrement, changer un enregistrement, trouver un enregistrement contenant un texte déterminé, ou manipuler le Presse papier, tel que décrit ci-dessous :

Add Entry (Ajouter un enregistrement) [Ctrl+A]

Sélectionner ce menu pour ajouter un mot de passe dans la base en cours.

Edit/View Entry (Editer/Voir un enregistrement) [Ctrl+Enter]

Sélectionner ce menu pour modifier ou visualiser l'enregistrement sélectionné.

Delete Entry (Supprimer un enregistrement) [Del]

Pour supprimer un enregistrement, sélectionner son titre et choisir ce menu.

Rename Entry (Renommer un enregistrement) [F2]

(Dans la vue Arbre seulement) Cette commande vous permet de directement modifier le nom de l'enregistrement sélectionné.

Find Entry (Rechercher un enregistrement) [Ctrl+F]

Cette commande vous permet de taper un texte à rechercher dans toute votre base de mots de passe, pour tous les champs texte (excepté les mots de passe eux-mêmes). Le nombre d'enregistrement correspondant est alors affiché. Si plus d'un enregistrement est trouvé, le bouton Find Next sélectionnera chaque enregistrement correspondant. Par défaut, la recherche est sensible à la casse. Ceci peut être modifié en cochant la case Case sensitive search.

Add Group (Ajouter un groupe)

(Dans la vue arbre seulement) Cette commande ajoutera un nouveau groupe, nommé par défaut New Group. Le nouveau groupe est automatiquement sélectionné, et le nom est directement modifiable.

Copy Password to Clipboard (Copier le mot de passe vers le Presse papier) [Ctrl+C]

Pour copier un mot de passe vers le Presse papier, faire un double-clic sur le titre de l'enregistrement. Vous pouvez également sélectionner le titre puis choisir le menu Copy Password to Clipboard. Vous pouvez ensuite coller le mot de passe dans n'importe qu'elle fenêtre. (Si l'option Coller n'est pas disponible, vous pouvez toujours coller en utilisant le raccourci clavier Control-V ou Shift-Inser.
Par défaut, le Presse papier sera effacé lorsque vous quittez ou minimisez Password Safe.

Copy Username to Clipboard (Copier l'utilisateur vers le Presse papier) [Ctrl+U]

Pour copier un utilisateur vers le Presse Papier, sélectionner le titre et sélectionner le menu Copy Username to Clipboard. Vous pouvez alors coller l'utilisateur dans n'importe qu'elle fenêtre. (Si l'option Coller n'est pas disponible, vous pouvez toujours coller en utilisant le raccourci clavier Control-V ou Shift-Inser.
Par défaut, le Presse papier sera effacé lorsque vous quittez ou minimisez Password Safe.

Clear Clipboard (Effacer le Presse Papier) [Ctrl+Del]

Pour effacer sûrement un mot de passe du Presse papier, sélectionner le menu Clear Clipboard. Si une autre application que Password Safe a copiée des données dans le Presse papier, il ne sera pas effacé.

Perform Auto type (Exécute l'auto remplissage) [Ctrl+T]

L'option Autotype vous permet d'envoyer directement des frappes de touches vers la fenêtre derrière Password Safe. Ceci vous permet d'entrer votre nom d'utilisateur et mot de passe dans des formulaires Internet, des applications, etc. sans utiliser le copier coller. La commande Autotype (depuis le menu Edit ou en utilisant Ctrl+T) exécute les tâches suivantes :
  1. Minimise PasswordSafe
  2. Colle le nom de l'utilisateur actuellement sélectionné vers la fenêtre actuelle (la dernière fenêtre active utilisée avant Password Safe)
  3. Envoie une Tabulation vers le champ suivant
  4. Colle le mot de passe
  5. Simule la frappe de la touche Entrée.
Notez que ce comportement peut être personnalisé en ajoutant du texte spécialement formaté dans le champ Notes d'un enregistrement comme suit :
autotype:\u\t\p\t\n

Ceci enverra l'Utilisateur (\u) puis une Tabulation (\t) puis le mot de Passe (\p) puis une deuxième tabulation et enfin la touche Entrée (\n) - ceci est le comportement par défaut. Pour envoyer, par exemple, uniquement le mot de Passe, le texte suivant doit être ajouté "autotype:\p\t\n". '\r' enverra la touche Return.

Vous devez positionner le curseur dans la fenêtre de texte dont vous avez besoin avant d'activer cette fonctionnalité.

View (Voir)

Pour sélectionner le type d'affichage des enregistrements. Soit sous forme de liste soit d'arbre hiérarchique. Utiliser également ce menu pour sélectionner entre les deux types de barres d'outils (Nouvelle ou Classique).

Manage (Gérer)

Pour changer la combinaison de votre base de données (mot de passe Principal), faire une copie de sauvegarde ou restaurer depuis une copie de sauvegarde, et pour paramétrer certaines options.

Change Safe Combination (Changer la combinaison)

Sélectionner ce menu pour changer la combinaison de Password Safe pour la base de données ouverte. Saisissez la combinaison dans la fenêtre intitulée Safe Combination puis à nouveau (pour confirmation) dans la fenêtre marquée Verify. Enfin cliquer sur le bouton OK qui ne sera actif que si la saisie a été identique les deux fois.

Make Backup (Faire une sauvegarde)

Choisir ce menu pour faire une sauvegarde de la base de données de mot de passe ouverte.

Restore from Backup (Restaurer depuis une sauvegarde)

Sélectionner ce menu pour restaurer une base de données depuis une sauvegarde. La version restaurée le sera sans nom. Vous devez lui donner un nom dans l'option Save As si vous souhaitez la conserver.

Options

La boîte de dialogue pour les options est décrite ici.

Help (Aide)

Help - Pour accéder à l'aide en ligne, la page du projet sur Internet et afficher le numéro de version de PasswordSafe.

The Toolbar (La barre d'Outils)

La barre d'outils contient des boutons de raccourcis vers les fonctions les plus utiles. Déplacer la souris au dessus d'un bouton pour obtenir une courte description de la fonction.

The Entries (Les enregistrements)

En fonction du type de vue sélectionnée, les enregistrements sont affichés sous forme de liste simple ou sous forme d'arbre. Lorsqu'ils sont affichés en liste, les enregistrements peuvent être triés en cliquant sur le nom du champ qui servira de critère de tri. Dans l'affichage Arbre, les enregistrements peuvent être rangés par catégorie, sous catégorie, etc., permettant ainsi de regrouper ensemble des mots de passe.


Safe Combination Window

 Safe Combination Entry
(Saisie de la combinaison)

Cette fenêtre apparaît lorsque vous démarrez Password Safe, lorsque vous ouvrez une autre base de données ou que vous restaurez une archive. Entrez la combinaison et appuyez sur la touche Entrée. Les combinaisons sont différentes entre les majuscules et les minuscules ; la combinaison bonjour est différente de BONJOUR.

Si vous entrez trois fois de suite une combinaison incorrecte, le message Safe Combination Entry Error est affiché. Cette fenêtre vous permet d'essayer une autre base ou d'en créer une vide.


Safe Combination Change Window

 Safe Combination Change
(Changement de Combinaison)

Utilisez cette fenêtre pour changer la combinaison de votre coffre fort pour la base de données courantes. Vous aurez à saisir l'ancienne combinaison, et la nouvelle deux fois. La saisie de la combinaison est masquée par des étoiles. Les combinaisons sont différentes entre les majuscules et les minuscules ; la combinaison bonjour est différente de BONJOUR.


 Safe Combination Entry Error
(Erreur de saisie de la combinaison)

Cette fenêtre apparaît si la combinaison a été saisie incorrectement trois fois de suite. Si vous avez simplement effectué une erreur de frappe, vous pouvez réessayer. Vous pouvez également cherchez une autre base de mots de passe à ouvrir ou en créer une complètement nouvelle et vide.

Si vous avez oublié votre combinaison, quittez la base de mots de passe pour l'instant. Vous pourrez la ré-ouvrir plus tard lorsque vous vous souviendrez du mot de passe. Attention, rien ne peut être fait si vous avez perdu la combinaison. La sécurité du système repose sur le fait que la base de mots de passe ne peut pas être ouverte sans la bonne combinaison.


Add Data Window
(Ajouter un enregistrement)

Dans cette fenêtre, vous pouvez ajouter un enregistrement dans la base. Les champs de cette fenêtre sont :

Le champ Group vous permet d'organiser vos enregistrements en groupes logiques. Tous les enregistrements appartenant au même groupe apparaissent sous le nom du groupe, dans la vue Arbre (Tree view) de la fenêtre principale. Notez qu'une hiérarchie de groupes peut être définie, les sous groupes étant séparés par des points. Par exemple, "Finance.Banques" organisera un enregistrement dans le sous-groupe Banques du groupe Finance. Ce champ est optionnel, s'il est vide l'enregistrement sera placé au niveau le plus haut.

Le champ Title est le nom de l'enregistrement sous lequel il sera affiché. Ce champ ne peut pas être vide.

Le champ Username est utilisé pour enregistrer le nom de l'utilisateur associé à cet enregistrement. Si vous définissez un default username dans la boite de dialogue Options, il apparaîtra ici. Ultérieurement, vous pouvez copier le nom d'utilisateur dans le presse-papier.

Le champ Password est celui dans lequel le mot de passe est défini pour un enregistrement. Ce champ ne peut pas être vide. Si vous cliquez sur le bouton Generate, ce champ sera automatiquement rempli avec un mot de passe, généré de façon aléatoire en respectant les règles que vous pouvez définir dans l'Option Password Policy. Ces règles peuvent éventuellement être annulées en utilisant le bouton Override Policy. Si c'est le cas, la boite de dialogue Password Policy sera affichée avant la génération automatique du mot de passe. Les changements effectués alors ne sont pas conservés. Cette option peut être utile, par exemple, si vous avez besoin d'un mot de passe sur un site qui n'obéisse pas aux règles que vous avez défini. Notez qu'en utilisant le bouton Cancel dans la boite de dialogue Password Policy, le mot de passe sera généré en utilisant la règle générique.

Vous pouvez utiliser le champ Notes pour tout autre information dont vous auriez besoin de vous souvenir à propos de cet enregistrement -- telle qu'une adresse URL ou un numéro de téléphone. Si vous entrez une adresse URL commençant par "http://", "https://" ou "ftp://", vous pourrez alors directement parcourir cette URL en effectuant un clic-droit sur l'enregistrement depuis la fenêtre principale.


Edit/View Data Window

Edit/View Entry
(Editer/Voir un enregistrement)

Dans cette fenêtre vous pouvez changer les informations sauvegardées dans un enregistrement. Par défaut, le mot de passe sera remplacé par une ligne d'astérisques. Pour visualiser le mot de passe enregistré, cliquez sur Show password by default in edit mode.

Pour une description des champs de cette boite de dialogue, voir l'aide Add Entry.

Si vous avez fait une erreur et désirez quitter cette fenêtre sans enregistrer les changements, utilisez Cancel. Pour sauvegarder vos changements, cliquez sur le bouton OK.


>Password Safe Options

Options de Password Safe

Les options configurables sont organisées dans les catégories suivantes :
Display (Affichage) - options qui affectent comment PasswordSafe est affiché
Security (Sécurité) - options concernant la sécurité de l'application
Password Policy (Politique de Mot de passe) - Définition des propriété des mots de passe générés automatiquement
Username (Nom d'Utilisateur) - Définition de l'Utilisateur par défaut pour les nouveaux enregistrements
Misc (Divers) - Différents paramètres

Display (Affichage)

Always keep PasswordSafe on top
(Toujours conserver Password Safe au dessus) - Lorsque cette option est sélectionnée, PasswordSafe sera toujours visible.

Show Password in display list
(Afficher les mots de passe) - Lorsque cette option est sélectionnée, une colonne est ajoutée dans la vue liste, affichant le mot de passe de chaque enregistrement. Cette option n'est pas recommandée, car elle ouvre une brèche dans la sécurité.

Show password by default in edit mode
(Affichage par défaut du mot de passe en mode édition) - Sélectionner cette option pour afficher les mots de passe dans la fenêtre Edit/View Entry. Par défaut, une ligne d'astérisques (*****) est affichée sauf si le bouton Show Password est activé.

Security (Sécurité)

Clear the clipboard upon minimize or exit
(Effacer le Presse Papier lors de Quitter et Minimiser) - Si vous activez cette option, le Presse papier sera effacé lorsque vous quittez ou minimisez PasswordSafe.

Lock password database on minimize
(Fermer la base lors de Minimiser)- Si vous activez cette option , des information sensibles telles que votre combinaison de coffre et le nom des enregistrements seront effacées de la mémoire lorsque Password Safe sera minimisé. Lorsque Password Safe est rétabli, votre combinaison de coffre vous sera demandée.

Confirm password database save on minimize
(Confirmer la sauvegarde lors de Minimiser)- Si vous activez cette option, Password Safe vous rappellera automatiquement lorsqu'il sauve la base lorsque vous le minimiser. Désactivée, et la base sera automatiquement sauvegardée sans avertissement.

Confirm item copy to clipboard
(Confirmation de copie vers le Presse papier)- Si vous activez cette option, Password Safe vous préviendra lorsqu'un mot de passe est copié vers le Presse papier. Lorsque vous êtes habitués à Password Safe, vous désactiverez probablement cette option.

Password Policy (Politique de Mot de Passe)

Default password length
(Longueur par défaut)- Ce champ détermine la longueur des mots de passe générés automatiquement par le bouton Generate Random Password dans les fenêtres Edit/View Entry et Add Entry. La longueur minimum est de 4 caractères, et le maximum de 1024. Remarque : Si vous voulez générez des mots de passe hexadécimaux, alors ce chiffre doit être pair.

Use lowercase letters
(Utiliser des lettres minuscules)- Sélectionner cette option si vous souhaitez générer des mots de passe avec des lettres en minuscule.

Use UPPERCASE letters
(Utiliser des lettre majuscules)- Sélectionner cette option si vous souhaitez générer des mots de passe avec des lettres en majuscule.

Use digits
(Utiliser des chiffres)- Sélectionner cette option si vous souhaitez générer des mots de passe avec des nombres (0-9).

Use symbols (i.e., ,%,$, etc.)
Utiliser des symboles -exemple: %,$, etc.-)- Sélectionner cette option si vous souhaitez générer des mots de passe avec des caractères autres que des lettres et chiffres.

Use only easy-to-read characters (i.e., without "0" and "O")
(Utiliser uniquement des caractères faciles à lire -i.e. sans "0" et "O"-)- Sélectionner cette option permet de générer des mots de passe sans caractères qui sont visuellement semblables, tels que le chiffre zéro et la majuscule O, un et la minuscule l, etc. Ceci est spécialement utile si vous ne copiez pas les mots de passe, mais vous les affichez et ensuite les copiez manuellement.

Use hexadecimal digits only (0-9, a-f)
Utiliser uniquement des caractères hexadécimaux (0-9, a-f)- Sélectionner cette option si vous souhaitez générer des mots de passe qui contiennent uniquement des caractères hexadécimaux . La longueur des mots de passe doit être un chiffre pair. Cette option peut être activée si aucune autre option n'est sélectionnée. De même, lorsque elle est sélectionnée, cette option désactive les autres.

Username (Nom de l'Utilisateur)

Use a default username
(Utiliser un Nom d'Utilisateur par défaut)- Si cette option est activée, le nom de l'utilisateur entré dans le champ en dessous sera automatiquement inséré dans le champ username de la fenêtre Add dialog box. De plus, si le champ username est vide, le nom par défaut sera ajouté.

Query user to set username as default
(Demande de définir l'utilisateur par défaut)- Si cette option est activée, dès que vous entrez un utilisateur dans un nouvel enregistrement et qu'il n'y pas d'utilisateur par défaut, Password Safe vous demandera de définir un utilisateur par défaut si besoin. Voir les instructions si dessus pour plus d'information à propos de l'Utilisateur par défaut.

Misc (Divers)

Confirm deletion of items>
(Confirmer la suppression des enregistrements)- Lorsque vous activez cette option, PasswordSafe vous demandera de confirmer la chaque suppression d'un enregistrement sélectionné lorsque vous utilisez la commande Delete.

Save database immediately after Edit or Add
(Sauvegarder la base de données immédiatement après Edition ou Ajout)- En activant cette option, PasswordSafe écriera automatiquement tout changement dans la base de mots de passe, au lieu d'attendre explicitement les commandes Save ou Save As.